Bug 1291955 - texlive-latexdiff complains "Unescaped left brace in regex is deprecated"
texlive-latexdiff complains "Unescaped left brace in regex is deprecated"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 22:04 EST by Michal Jaegermann
Modified: 2015-12-22 16:59 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2014-17.20140525_r34255.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 16:59:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch to avoid deprecated regexps (deleted)
2015-12-15 22:04 EST, Michal Jaegermann
no flags Details | Diff
another try to attach a patch file (7.04 KB, patch)
2015-12-15 22:06 EST, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2015-12-15 22:04:56 EST
Description of problem:

An attempt to run 'latexdiff' immediately produces a spate of "deprecated" warnings like that:

Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\includeonly{ <-- HERE (.*?)}/ at /usr/bin/latexdiff line 1437.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/(^(?:[^%\n]|\\%)*)\\bibliography{ <-- HERE (.*?)}/ at /usr/bin/latexdiff line 1472.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/(^(?:[^%\n]|\\%)*)\\subfile{ <-- HERE (.*?)}/ at /usr/bin/latexdiff line 1487.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/(?<!\\)\\{ <-- HERE / at /usr/bin/latexdiff line 2169.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\begin{ <-- HERE MATHMODE}((?:(.(?!(?<!\\)\&|\\\\))*)?)\\end{MATHMODE}/ at /usr/bin/latexdiff line 2444.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\begin{MATHMODE}((?:(.(?!(?<!\\)\&|\\\\))*)?)\\end{ <-- HERE MATHMODE}/ at /usr/bin/latexdiff line 2444.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\begin{ <-- HERE MATHMODE}(.*?)\\end{MATHMODE}/ at /usr/bin/latexdiff line 2446.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\begin{MATHMODE}(.*?)\\end{ <-- HERE MATHMODE}/ at /usr/bin/latexdiff line 2446.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\end{ <-- HERE SQUAREBRACKET}/ at /usr/bin/latexdiff line 2527.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\\begin{ <-- HERE SQUAREBRACKET}/ at /usr/bin/latexdiff line 2528.

Feeding some inputs to this script generates another series in this style.  The current perl clearly has issues with such constructs. See also http://www.perlmonks.org/?node_id=1135258

Version-Release number of selected component (if applicable):
texlive-2015-17.20150728_r37987.fc24

How reproducible:
always

Steps to Reproduce:
1. Just try to run latexdiff

Additional info:

There are also questionable 'm/\\newlabel{...' constructs in two preambles which will be written in some circumstances.  Attached patch does not cover these.  But these preambles also require an "external program pdftk" and that is no longer available.  I did not investigate if pdfseparate/pdfunite can be of any help here.

The same "Unescaped left brace in regex is deprecated" warnings show up also at least in Fedora 23 with an older version of latexdiff.
Comment 1 Michal Jaegermann 2015-12-15 22:06 EST
Created attachment 1106272 [details]
another try to attach a patch file
Comment 2 Fedora Update System 2015-12-18 09:49:21 EST
texlive-2014-17.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-78f2eb4506
Comment 3 Fedora Update System 2015-12-19 15:00:34 EST
texlive-2014-17.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update texlive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-78f2eb4506
Comment 4 Fedora Update System 2015-12-22 16:59:57 EST
texlive-2014-17.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.